supermap/iclient-leaflet 引入无法兼容ie

0 投票
"@supermap/iclient-leaflet": "^9.1.2",9/10版本都测试了

"leaflet": "^1.6.0",

只是引入supmap-leaflet页面白屏

组件页面中import {tiledMapLayer} from '@supermap/iclient-leaflet'; ie无法显示注释该import则页面正常 无其他操作只是单纯引入
3月 30 分类:  168次浏览 | 用户: hangis (1 分)
重新分类 3月 30 用户:邬袁凯

1个回答

0 投票

您好,您的ie是哪个版本,是否有配置过如下内容

3月 30 用户: 于浩 登峰造极 (5,668 分)
使用vue-cli2创建的vue webpack项目工程使用了babel,并设置了打包配置(npm、cnpm方式),仍然无法实现兼容ie的情况

使用vue-cli3/4创建的项目使用babel,并且使用transpileDependencies进行转换以达到ie兼容
...